@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@700&display=swap");

.background::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: #29292d;
  background-image: linear-gradient(270deg, #29292d 0%, #383838 100%);
  opacity: 0.7;
  z-index: 1;
}

.background {
  width: 100%;
  height: 100vh;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  background-size: cover;
  overflow-x: hidden;

  .content-wrapper {
    display: flex;
    align-items: flex-start;
    margin-top: 100px;

    .poster {
      z-index: 100;
      position: relative;
      width: 30%;

      &-img {
        border-bottom-left-radius: 15px;
        border-bottom-right-radius: 15px;
        border-top-left-radius: 15px;
        border-top-right-radius: 15px;
        margin-left: 30px;
        width: 300px;
      }
    }

    .details-content {
      z-index: 100;
      position: relative;
      margin-left: 30px;
      margin-right: 50px;
      color: rgb(255, 255, 255);
      width: 70%;

      .movie-title {
        font-size: 50px;
      }

      .date {
        margin-right: 30px;
        width: max-content;
        font-size: 30px;
        display: inline;
      }

      .homepage-link {
        display: inline-block;
        text-decoration: none;
        color: #fff;
        font-size: 26px;
        margin-right: 30px;
      }

      .homepage-link:hover {
        -ms-transform: scale(1.1);
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
      }

      .inline {
        display: inline-block;

        .user-score {
          width: 70px;
          height: 70px;
          background-color: #323232;
          border-radius: 50%;
          display: flex;
          align-items: center;
          justify-content: center;
          border: 2px solid #407fbe;
          font-family: "Nunito", sans-serif !important;
          font-size: 26px;
          cursor: default;
        }
      }

      .overview {
        margin-top: 30px;

        .txt {
          font-size: 20px;
        }
      }

      .tagline {
        font-style: italic;
        font-size: 24px;
        margin-top: 30px;
      }

      .wrapper {
        display: flex;
        justify-content: space-between;
        margin-top: 30px;

        .genres {
          display: flex;
          flex-direction: column;
        }
      }

      .movie-rating {
        margin-top: 30px;
        margin-bottom: 20px;

        .rating {
          outline: none;
          padding: 7px 10px;
          border: none;
          border-radius: 5px;
          width: 70px;
          background-color: #032541;
          color: #fff;
          font-weight: bold;
        }

        .rate-btn {
          background-color: #407fbe;
          color: #fff;
          border: none;
          outline: none;
          padding: 7px 20px;
          border-radius: 5px;
          cursor: pointer;
          margin-left: 10px;
        }

        .rate-btn:hover {
          opacity: 0.9;
        }
      }
    }
  }
}

.loader {
  padding-top: 150px;
  font-size: 40px;
  font-weight: bold;
  color: #032541;
  text-align: center;
}

.error-message {
  padding-top: 150px;
  font-size: 40px;
  font-weight: bold;
  color: #032541;
  text-align: center;
}

@media (min-width: 320px) and (max-width: 767px) {
  .poster {
    display: none;
  }

  .wrapper {
    margin-top: 10px !important;
    justify-content: unset !important;
    flex-direction: column;
    margin-left: -10px;

    & > * {
      margin-bottom: 15px;
    }

    .titles {
      margin: 20px 10px 0 10px;
    }
  }

  .error-message {
    font-size: 30px;
  }

  .loader {
    font-size: 30px;
  }
}

@media (min-width: 320px) and (max-width: 424px) {
  .details-content {
    width: 90% !important;

    .movie-title {
      font-size: 25px !important;
    }

    .date {
      font-size: 15px !important;
      margin-right: 15px !important;
    }

    .homepage-link {
      font-size: 15px !important;
      margin-right: 15px !important;
    }

    .user-score {
      width: 30px !important;
      height: 30px !important;
      font-size: 10px !important;
    }

    .overview {
      margin-top: 0 !important;
    }

    .titles {
      font-size: 16px !important;
    }

    .txt {
      font-size: 13px !important;
    }

    .tagline {
      font-size: 12px !important;
      margin-top: 10px !important;
    }

    .wrapper {
      .txt {
        margin: 0 10px;
      }
    }
  }
}

@media (min-width: 425px) and (max-width: 767px) {
  .details-content {
    width: 100% !important;

    .movie-title {
      font-size: 30px !important;
    }

    .date {
      font-size: 15px !important;
      margin-right: 15px !important;
    }

    .homepage-link {
      font-size: 15px !important;
      margin-right: 15px !important;
    }

    .user-score {
      width: 30px !important;
      height: 30px !important;
      font-size: 10px !important;
    }

    .overview {
      margin-top: 0 !important;
    }

    .titles {
      font-size: 16px !important;
    }

    .txt {
      font-size: 13px !important;
    }

    .tagline {
      font-size: 12px !important;
      margin-top: 10px !important;
    }

    .wrapper {
      margin-top: 10px !important;

      .titles {
        margin: 0 10px;
      }

      .txt {
        margin: 0 10px;
      }
    }
  }
}

@media (min-width: 768px) {
  .poster {
    margin-right: 30px !important;

    &-img {
      margin-left: 50px !important;
      width: 200px !important;
    }
  }

  .details-content {
    .movie-title {
      font-size: 40px !important;
    }

    .date {
      font-size: 20px !important;
    }

    .user-score {
      width: 40px !important;
      height: 40px !important;
      font-size: 14px !important;
    }

    .overview {
      margin-top: 0 !important;
    }

    .titles {
      font-size: 18px !important;
    }

    .txt {
      font-size: 14px !important;
    }

    .tagline {
      font-size: 16px !important;
      margin-top: 10px !important;
    }

    .wrapper {
      margin-top: 10px !important;
    }
  }
}

@media (min-width: 1000px) and (max-width: 1100px) {
  .poster {
    margin-right: 30px !important;

    &-img {
      margin-left: 50px !important;
      width: 270px !important;
    }
  }

  .details-content {
    margin-left: 30px !important;
  }
}

@media (min-width: 1101px) and (max-width: 1439px) {
  .poster-img {
    width: 320px !important;
  }

  .details-content {
    margin-left: 0 !important;
  }
}

@media (min-width: 1440px) {
  .movie-title {
    font-size: 70px !important;
  }

  .titles {
    font-size: 35px !important;
  }

  .txt {
    font-size: 25px !important;
  }
}

@media (min-width: 1440px) and (max-width: 1700px) {
  .poster-img {
    margin-left: 50px !important;
    width: 350px !important;
  }
}

@media (min-width: 1701px) and (max-width: 2000px) {
  .poster-img {
    margin-left: 50px !important;
    width: 450px !important;
  }

  .details-content {
    .movie-title {
      font-size: 90px !important;
    }

    .date {
      font-size: 40px !important;
    }

    .user-score {
      width: 90px !important;
      height: 90px !important;
      font-size: 28px !important;
    }

    .titles {
      font-size: 35px !important;
    }

    .txt {
      font-size: 22px !important;
    }

    .tagline {
      font-size: 20px !important;
    }
  }
}

@media (min-width: 2001px) and (max-width: 2300px) {
  .poster-img {
    margin-left: 50px !important;
    width: 550px !important;
  }

  .details-content {
    margin-left: 60px !important;

    .movie-title {
      font-size: 90px !important;
    }

    .date {
      font-size: 40px !important;
    }

    .user-score {
      width: 90px !important;
      height: 90px !important;
      font-size: 28px !important;
    }

    .titles {
      font-size: 35px !important;
    }

    .txt {
      font-size: 22px !important;
    }

    .tagline {
      font-size: 20px !important;
    }
  }
}

@media (min-width: 2301px) {
  .poster-img {
    margin-left: 50px !important;
    width: 650px !important;
  }

  .details-content {
    width: 60% !important;

    .movie-title {
      font-size: 100px !important;
    }

    .date {
      font-size: 50px !important;
    }

    .user-score {
      width: 90px !important;
      height: 90px !important;
      font-size: 30px !important;
    }

    .titles {
      font-size: 40px !important;
    }

    .txt {
      font-size: 24px !important;
    }

    .tagline {
      font-size: 22px !important;
    }
  }
}
